> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/notater-kartnaler/36.-mutasjon-legg-til-flere-kommentarer-pa-de-valgte-notatene.md).

# 36. Mutasjon: Legg til flere «Kommentarer» på de valgte «Notatene»

Denne mutasjonen lar deg legge til flere kommentarer på den valgte noten.

{% hint style="success" %}
Maksimum antall kommentarer som kan lagres er 25.
{% endhint %}

* En kommentar kan kobles til feltet via dets unike identifikasjonsnummer `fieldUuid` og til merknaden via `noteUuid`.
* Innholdet i kommentaren kan oppgis ved hjelp av `tekst` attributtet. Hvis innholdet må være flerradig, bør `tekst` attributtet inneholde en streng med linjeskifttegn `\\n` for å skille linjer. For eksempel: `"Første linje. er her\\nAndre linje er her.\\nTredje linje er her."`.
* Det er mulig å sette en definert dato og tid knyttet til kommentaren ved å bruke `opprettetDato` attributtet i ISO8601-formatet.

Eksempel på forespørsel finnes nedenfor:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 4. kommentaren fra flere.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 5. kommentaren fra flere.\nAndre linje i kommentaren.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    opprettetDato
    updatedDate
    tekst
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/notater-kartnaler/36.-mutasjon-legg-til-flere-kommentarer-pa-de-valgte-notatene.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
